//
//  FileChooser.java
//  rapidinvoicing
//
//  Created by m3the01 on 11/07/07.
//  Copyright 2007 TopTech-StevenEliuk. All rights reserved.
//
import java.io.*;
import javax.swing.*;
import java.util.*;

/******************************************************************
 *class type: general
 *FileChooser is used to open a new file chooser and return the 
 *user selected file. That is if the file conforms to the file
 *filters in place.
 *****************************************************************/
public class FileChooser {

    /***************************************************************
     *Open the selected file and return the file if its available
     **************************************************************/
    public static File openFile(String type, String title) {
		JFileChooser chooser;
		chooser = new JFileChooser("$home");
		chooser.setDialogTitle(title);
		chooser.setFileSelectionMode(JFileChooser.FILES_AND_DIRECTORIES);
		chooser.setFileFilter(new FileFilter(type));
		int check = chooser.showOpenDialog(DesktopFrame.getDesktopFrame());
		if (check == JFileChooser.APPROVE_OPTION) 
			return  chooser.getSelectedFile();
		return null;
    }
}